import { useEffect, useState } from "react";
import { useDataContext } from "../contexts/data_context"
import { Travel, TravelHistory } from "../domain/entities/travel_history";
import { useGet } from "./useGet";

interface SectionItem {
    title: string;
    data: Travel[];
}

export const useGetTravelHistory = () => {
    const { travelRepository } = useDataContext();
    const [preparedData, setPreparedData] = useState<SectionItem[] | null>(null);
    const callback = () => travelRepository!.getTravelHistory();
    const { data, requestStatus } = useGet<TravelHistory>(callback);
    //TODO: Cambiar la destructuración múltiple de pastTravels
    useEffect(() => {
        if (data) {
            const pastTravels = [...data.pastTravels, ...data.pastTravels, ...data.pastTravels, ...data.pastTravels, ...data.pastTravels, ...data.pastTravels,];
            const activeTravels = data.activeTravel ? [data.activeTravel] : [];
            const preparedData = [
                { title: "Active Travels", data: activeTravels },
                { title: "Past Travels", data: pastTravels },
            ];
            setPreparedData(preparedData);
        }
    }, [data]);

    return { travelHistory: preparedData, requestStatus };
}