import { Dispatch, SetStateAction, useState } from 'react';
import { SuperadminPanelTownRegister } from '../sa_panel_town_register/sa_panel_town_register';
import './css/styles.css'

interface props {
  windowActive: boolean;
  setWindowActive: Dispatch<SetStateAction<boolean>>;
}

export const SuperadminPanelTownScreen = ({windowActive,setWindowActive}:props) => {
  const [showRegisterPanel, setShowRegisterPanel] = useState(false);

  return (
    <div className="sa_panel_town_content">
      <div className='town_panel_header'>
        Administrar pueblos mágicos
        <button className='town_add_btn' 
          onClick={() => {setShowRegisterPanel(true); setWindowActive(true)}}
          disabled = {windowActive}
        >
          Registrar Pueblo
        </button>
      </div>
      <div className='sa_panel_town_body'>
        {showRegisterPanel 
          && 
          <SuperadminPanelTownRegister 
            setWindowActive={setWindowActive}
            setShowRegisterPanel={setShowRegisterPanel}/>}
      </div>
    </div>  
  );
}