import { TownDatasourceInf } from "../../../infraestructure/datasources/town_datasource";
import { State } from "../../../infraestructure/entities/state";
import { TownFormValues } from "../../../infraestructure/entities/town_form_values";
import { TownRepositoryInf } from "../../../infraestructure/repositories/town_repository";

export class TownRepositoryProd implements TownRepositoryInf{
  constructor(
    private datasource: TownDatasourceInf
  ){}
  async getStates(): Promise<State[]> {
    return this.datasource.getStates();
  }
  async registerTown(form: TownFormValues): Promise<void> {
    return this.datasource.registerTown(form);
  }
}